Bug 1711611 - Review Request: pdfarranger - PDF file merging, rearranging, and splitting. Maintained fork of pdfshuffler
Summary: Review Request: pdfarranger - PDF file merging, rearranging, and splitting. M...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1679361
TreeView+ depends on / blocked
 
Reported: 2019-05-18 23:44 UTC by David Auer
Modified: 2019-09-18 00:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-16 00:01:50 UTC
fschwarz: fedora-review+


Attachments (Terms of Use)

Description David Auer 2019-05-18 23:44:02 UTC
Spec URL: https://raw.githubusercontent.com/dreua/pdfarranger-rpmspec/master/python-pdfarranger.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/dreua/python-pdfarranger/fedora-rawhide-x86_64/00911160-python-pdfarranger/python-pdfarranger-1.2.1-5.fc31.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34919875

Description:
pdfarranger is a small Python GTK application, which helps the user to merge 
or split PDF documents and rotate, crop and rearrange their pages using an 
interactive and intuitive graphical interface. It is a front end for 
python-pyPdf.
pdfarranger is a fork of Konstantinos Poulios's pdfshuffler.

This is my first package and I am seeking a sponsor. I have made some contributions [1] 
to upstream development, most notably I fixed drag and drop for multiple pages [2].

There is one error reported by rpmlint that isn't fixed yet: __main__.py has a wrong and furthermore unnecessary shebang. This should be fixed soon enough by removing the shebang upstream [3] therefore I think it's not worth it to patch this now, but I will if someone disagrees.


[1]: https://github.com/jeromerobert/pdfarranger/graphs/contributors
[2]: https://github.com/jeromerobert/pdfarranger/issues/17
[3]: https://github.com/jeromerobert/pdfarranger/pull/80

Fedora Account System Username: dreua

Comment 1 David Auer 2019-05-19 21:31:47 UTC
I just found out, that the python- prefix does not apply to applications, so this package and subpackage should probably be renamed to pdfarranger. I will provide another build tomorrow after I figured out how to proceed with the copr and the handful having already installed python3-pdfarranger from there. I think I'll add Provides + Obsoletes tag for python{3}-pdfarranger to the copr build so people will be updated but I wonder if these should also appear in the spec file I post here.

Comment 2 David Auer 2019-05-20 22:28:14 UTC
I just removed the python- and python3- prefix and also fixed all rpmlint warnings + errors. 

Spec URL: https://raw.githubusercontent.com/dreua/pdfarranger-rpmspec/1.2.1-6/pdfarranger.spec
SRPM URL: https://github.com/dreua/pdfarranger-rpmspec/releases/download/1.2.1-6/pdfarranger-1.2.1-6.fc30.src.rpm
Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=34962762

Note that I uploaded a slightly different version to my copr which includes an additional Provides and Obsoletes statement so that copr users have a seamless upgrade.

Comment 4 Robert-André Mauchin 2019-06-06 00:44:50 UTC
 - Use a better name for your archive:

Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Package approved. Please fix the aforementioned issue before import.


You still need to find a sponsor.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v3 or
     later)", "*No copyright* GNU General Public License (v3 or later)",
     "GPL (v3 or later)". 23 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/pdfarranger/review-
     pdfarranger/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pdfarranger-1.2.1-7.fc31.noarch.rpm
          pdfarranger-1.2.1-7.fc31.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 5 David Auer 2019-06-15 15:54:42 UTC
Thank you so much for reviewing and for the better source URL, I already changed the spec accordingly and did another successful test build!

I will try to do some unofficial reviews as soon as possible and hope to get sponsored.

Comment 6 David Auer 2019-09-03 12:08:49 UTC
I'd like to take Felix Schwarz's offer to take this package as a maintainer and add me as co-maintainer afterwards since I haven't been able to take the steps required for sponsorship yet.

Comment 7 Fabian Affolter 2019-09-06 12:31:43 UTC
FYI, pdfshuffler will be retired soon as there are no effort to port it to Python 3 and it depends on pypoppler (which is also not ported to Python 3).

Comment 8 Paul Howarth 2019-09-07 11:39:39 UTC
I will sponsor David.

Comment 9 David Auer 2019-09-07 13:43:24 UTC
@Paul: Thank you for sponsoring me!

@Robert-André: 
It seems like this has been approved for too long, can you re-approve?

>$ fedpkg request-repo pdfarranger 1711611
>Could not execute request_repo: The Bugzilla bug's review was approved over 60 days ago

I have already updated the spec with the latest release, just in case you want to have a look:

Spec URL: https://raw.githubusercontent.com/dreua/pdfarranger-rpmspec/1.3.0-1/pdfarranger.spec
SRPM URL: https://github.com/dreua/pdfarranger-rpmspec/releases/download/1.3.0-1/pdfarranger-1.3.0-1.fc30.src.rpm
Diff: https://github.com/dreua/pdfarranger-rpmspec/commit/82c9f681a3176cef85973f8fae5bc13b99482c86

It builds, works and rpmlint is still happy.

Comment 11 Felix Schwarz 2019-09-10 19:58:56 UTC
Taking over from Robert-André to get this review unblocked.

Comment 12 Felix Schwarz 2019-09-10 20:00:23 UTC
Package approved - please fix the missing requirement before pushing a build.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

== Issues / comments ==

- missing requirement: "poppler-glib"
- I think %{?python_provide:%python_provide python3-%{name}} is not necessary
  here.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v3 or
     later)", "*No copyright* GNU General Public License (v3 or later)",
     "GPL (v3 or later)". 23 files have unknown license. Detailed output of
     licensecheck in …/1711611-pdfarranger/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pdfarranger-1.3.0-1.fc32.noarch.rpm
          pdfarranger-1.3.0-1.fc32.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
pdfarranger.noarch: W: invalid-url URL: https://github.com/jeromerobert/pdfarranger <urlopen error [Errno -2] Name or service not known>
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Source checksums
----------------
https://github.com/jeromerobert/pdfarranger/archive/1.3.0/pdfarranger-1.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : ead7943ad08438677503892f763d69945c0938dc4cb443906e3cfd6f00c747fe
  CHECKSUM(SHA256) upstream package : ead7943ad08438677503892f763d69945c0938dc4cb443906e3cfd6f00c747fe


Requires
--------
pdfarranger (rpmlib, GLIBC filtered):
    /usr/bin/python3
    gtk3
    python(abi)
    python3-PyPDF2
    python3-cairo
    python3-gobject
    python3.8dist(setuptools)



Provides
--------
pdfarranger:
    application()
    application(pdfarranger.desktop)
    metainfo()
    metainfo(pdfarranger.appdata.xml)
    mimehandler(application/pdf)
    pdfarranger
    python-pdfarranger
    python3.8dist(pdfarranger)
    python3dist(pdfarranger)


Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1711611
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Python, Generic
Disabled plugins: Ocaml, Perl, fonts, PHP, Java, SugarActivity, Haskell, R, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 13 Gwyn Ciesla 2019-09-10 23:33:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/pdfarranger

Comment 14 Fedora Update System 2019-09-12 10:08:46 UTC
FEDORA-2019-13eff29405 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-13eff29405

Comment 15 Fedora Update System 2019-09-12 10:12:57 UTC
FEDORA-2019-363ee0b8a9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-363ee0b8a9

Comment 16 Fedora Update System 2019-09-12 14:45:22 UTC
pdfarranger-1.3.0-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-13eff29405

Comment 17 Fedora Update System 2019-09-12 20:59:58 UTC
pdfarranger-1.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-363ee0b8a9

Comment 18 Fedora Update System 2019-09-16 00:01:50 UTC
pdfarranger-1.3.0-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-09-18 00:56:22 UTC
pdfarranger-1.3.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.